Patch web form
curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/1/web-forms/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": true
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}"
payload = {
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Test WebForm\",\n \"channel\": \"EMAIL\",\n \"destination\": \"destination@email.test\",\n \"url\": \"/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post\",\n \"enabled\": true\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Test WebForm\",\n \"channel\": \"EMAIL\",\n \"destination\": \"destination@email.test\",\n \"url\": \"/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post\",\n \"enabled\": true\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Test WebForm',
'channel' => 'EMAIL',
'destination' => 'destination@email.test',
'url' => '/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Test WebForm',
channel: 'EMAIL',
destination: 'destination@email.test',
url: '/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post',
enabled: true
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "7646c2ff-916d-46f1-9c53-5273476ed505",
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": true,
"createdAt": "2023-12-01T00:00:00.000+00:00",
"updatedAt": "2023-12-01T00:00:00.000+00:00",
"tagIds": [
"2423d4c7-23da-422a-9f15-ca08006051ea",
"2664c7c3-f546-4073-a961-b94aed465ee8"
]
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 'e43bc422-09c9-4591-8b9d-82debcf04e0d' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}customer-engagement
Patch web form
Use this method to patch an existing web form.
Required scope: Enable one of: conversations:manage.
PATCH
/
ccaas
/
1
/
web-forms
/
{id}
Patch web form
curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/1/web-forms/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": true
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}"
payload = {
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Test WebForm\",\n \"channel\": \"EMAIL\",\n \"destination\": \"destination@email.test\",\n \"url\": \"/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post\",\n \"enabled\": true\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Test WebForm\",\n \"channel\": \"EMAIL\",\n \"destination\": \"destination@email.test\",\n \"url\": \"/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post\",\n \"enabled\": true\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Test WebForm',
'channel' => 'EMAIL',
'destination' => 'destination@email.test',
'url' => '/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Test WebForm',
channel: 'EMAIL',
destination: 'destination@email.test',
url: '/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post',
enabled: true
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "7646c2ff-916d-46f1-9c53-5273476ed505",
"name": "Test WebForm",
"channel": "EMAIL",
"destination": "destination@email.test",
"url": "/ccaas/1/web-forms/7646c2ff-916d-46f1-9c53-5273476ed505/post",
"enabled": true,
"createdAt": "2023-12-01T00:00:00.000+00:00",
"updatedAt": "2023-12-01T00:00:00.000+00:00",
"tagIds": [
"2423d4c7-23da-422a-9f15-ca08006051ea",
"2664c7c3-f546-4073-a961-b94aed465ee8"
]
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 'e43bc422-09c9-4591-8b9d-82debcf04e0d' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Body
application/json
Communication channel.
Available options:
SMS, VIBER, FACEBOOK_MESSENGER, WHATSAPP, RCS, UNKNOWN, EMAIL, MULTICHANNEL, NO_CHANNEL, LIVE_CHAT, UNUSED, VOICE, VIDEO, APPLE_BUSINESS_CHAT, LINE, GOOGLE_BUSINESS_MESSAGES, TELEGRAM, CALLS, INTERNAL, FACEBOOK_POST, INSTAGRAM_POST, TWITTER_POST, VIBER_BOT, INSTAGRAM_MESSAGING, GOOGLE_PLAY, KAKAO_SANGDAM, TWITTER_DM, WHATSAPP_CALLS, VIBER_CALLS, OPEN_CHANNEL, TIKTOK, ZALO Response
OK
Communication channel.
Available options:
SMS, VIBER, FACEBOOK_MESSENGER, WHATSAPP, RCS, UNKNOWN, EMAIL, MULTICHANNEL, NO_CHANNEL, LIVE_CHAT, UNUSED, VOICE, VIDEO, APPLE_BUSINESS_CHAT, LINE, GOOGLE_BUSINESS_MESSAGES, TELEGRAM, CALLS, INTERNAL, FACEBOOK_POST, INSTAGRAM_POST, TWITTER_POST, VIBER_BOT, INSTAGRAM_MESSAGING, GOOGLE_PLAY, KAKAO_SANGDAM, TWITTER_DM, WHATSAPP_CALLS, VIBER_CALLS, OPEN_CHANNEL, TIKTOK, ZALO